Subject: Re: bug#67556: 29.1; java-ts-mode doesn't indent open curly brackets properly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Dec 2023 13:56:59 +0200

Theo, any progress?  This bug is one of those which I'd like to
resolve before releasing Emacs 29.2.  Could you please look into this?

Thanks.

> Date: Sun, 10 Dec 2023 01:56:55 -0800
> Cc: Spencer Pavkovic <[email-masked]>, [email-masked]
> From: Yuan Fu <[email-masked]>
> 
> 
> 
> On 12/9/23 8:40 AM, Theodor Thornhill wrote:
> >
> >
> > On Dec 9, 2023 09:26, Eli Zaretskii <[email-masked]> wrote:
> >
> >     > Date: Thu, 30 Nov 2023 16:28:11 -0600
> >     > From:  Spencer Pavkovic via "Bug reports for GNU Emacs,
> >     >  the Swiss army knife of text editors" <[email-masked]>
> >     >
> >     > If you are in java-ts-mode, attempting to put an opening curly
> >     bracket
> >     > '{' on it's own line will not indent the bracket at all.
> >     >
> >     > While I expect it to place the bracket on the same indent level
> >     as the
> >     > block (like regular java-mode), it is always far left with 0 tabs.
> >     >
> >     > I did run with emacs -Q and the same thing happened.
> >     >
> >     > // EXPECTED
> >     > public class Thing
> >     > {
> >     >       public Thing()
> >     >       {
> >     >           try
> >     >           {
> >     >               // stuff
> >     >           } catch (Exception e)
> >     >           {
> >     >               // stuff
> >     >           }
> >     >       }
> >     > }
> >     >
> >     > // ACTUAL
> >     > public class Thing
> >     > {
> >     >       public Thing()
> >     > {
> >     >           try
> >     > {
> >     >               // stuff
> >     >           } catch (Exception e)
> >     > {
> >     >               // other stuff
> >     >           }
> >     >      }
> >     > }
> >
> >     Yuan and Theo, any comments?
> >
> > This can be supported, but no Java code is indented like this, though. 
> > But it could make sense to support at least _some_ indentation here. I 
> > can take a look at this tonight!
> >
> > Thanks for the ping :)
> > Theo
> 
> Thank you Theo. I'll leave this to you.
> 
> Yuan
>